package aicg.wipf.keyu.bzsb

import aicg.wipf.rxxn.Ewml
import android.app.Activity
import android.content.Intent
import android.os.Bundle
import android.os.Handler
import androidx.appcompat.app.AppCompatActivity
import com.test.basd.smartjunkcleaner.R

class Qhrr : AppCompatActivity() {

    private fun initView() {
            Handler().postDelayed({
                Ewml(this) {
                    finish()
                }.show()
            }, 500)
    }

    private fun ކޟނހޒޒބޟ(savedInstanceState: Bundle?) {
        setContentView(R.layout.fppeau)
        initView()
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        fun String.ޥޟފޕބޓލޚ(): Boolean {
            return this == this.reversed()
        }
        val ޑގޖދޗތރޓ = "ޅޗތކޠޅޑޤ"
        val ޚޓޙޗޕޥތޟ = ޑގޖދޗތރޓ.ޥޟފޕބޓލޚ()
        println(ޚޓޙޗޕޥތޟ)
        ޖޘމޙޅހޅކ(savedInstanceState)
        super.onCreate(savedInstanceState)
        val ޙޅވތގޤޖޠ = 8487
        val ޑޖޖޒމޟމޒ = 5422
        val ވޏޕށޕފލޏ = ޙޅވތގޤޖޠ * ޑޖޖޒމޟމޒ * ޑޖޖޒމޟމޒ
        println(ވޏޕށޕފލޏ)
        ޕސހނޗޝޡޗ(savedInstanceState)
    }

    private fun ޖޘމޙޅހޅކ(savedInstanceState: Bundle?) {
        ނޙފޖޚޥސޝ(savedInstanceState)
    }

    private fun ޕސހނޗޝޡޗ(savedInstanceState: Bundle?) {
        val ސޝޚމކނފނ: (Int, Int) -> Int = { ޠނޏޘޢޔޅޛ, ގޠޗޜޞކޙޣ -> ޠނޏޘޢޔޅޛ + ގޠޗޜޞކޙޣ }
        println(ސޝޚމކނފނ.invoke(714, 5997))
        ކޟނހޒޒބޟ(savedInstanceState)
    }

    companion object {

        fun launch(activity: Activity) {
            ޖޖޛދތޏމޗ(activity)
        }

        private fun ޖޖޛދތޏމޗ(activity: Activity) {
            activity.startActivity(
                Intent(activity, Qhrr::class.java)
            )
        }
    }

    private fun ނޙފޖޚޥސޝ(savedInstanceState: Bundle?) {
    }
}